Subject: Re: [PATCH 3/6] C-language equivalents of include/asm-*/bitops.h

From: Richard Henderson <[email-masked]>
Date: Thu, 26 Jan 2006 09:30:14 -0800

On Thu, Jan 26, 2006 at 05:34:12AM +0100, Edgar Toernig wrote:
> Why shift at all?

Becuase that *is* a valid architecture tuning knob.  Most risc
machines can't AND with arbitrary constants like that, and loading
the constant might bulk things up more than just using the shift.

r~